## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##
"""
Permissions for the student section.
"""
import grok

# Student section permissions

class HandleStudent(grok.Permission):
    grok.name('waeup.handleStudent')

class ViewStudent(grok.Permission):
    grok.name('waeup.viewStudent')

class ManageStudents(grok.Permission):
    grok.name('waeup.manageStudents')

# Local role
class StudentRecordOwner(grok.Role):
    grok.name('waeup.local.StudentRecordOwner')
    grok.title(u'Student Record Owner')
    grok.permissions('waeup.handleStudent', 'waeup.viewStudent')

# Global Roles
class StudentRole(grok.Role):
    grok.name('waeup.Student')
    grok.permissions('waeup.PortalUser',)

class StudentsOfficer(grok.Role):
    grok.name('waeup.StudentsOfficer')
    grok.title(u'Students Officer')
    grok.permissions('waeup.View', 'waeup.Public',
                     'waeup.viewStudent', 'waeup.manageStudents')
